Start connecting a connection by OAuth: the platform's consent page to send your browser to, and its state, good for 10 minutes; redirect_uri is one of connectors' registered pages: your workspace's owner
POST
/v1/buyer/connections/{id}/oauth
const url = 'https://example.com/v1/buyer/connections/example/oauth';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"redirect_uri":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/buyer/connections/example/oauth \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "redirect_uri": "example" }'Who: a workspace’s owner. Not for API keys.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
redirect_uri
required
string
Example generated
{ "redirect_uri": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
authorization_url
required
string
state
required
string
Example generated
{ "authorization_url": "example", "state": "example"}default
Section titled “default”An error, as go-commons apperr maps it
Media typeapplication/json
object
error
required
object
code
required
string
fields
object
key
additional properties
string
message
required
string
Example generated
{ "error": { "code": "example", "fields": { "additionalProperty": "example" }, "message": "example" }}